Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F151132091
D13181.id35579.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D13181.id35579.diff
View Options
Index: Mk/Scripts/check-stagedir.sh
===================================================================
--- Mk/Scripts/check-stagedir.sh
+++ Mk/Scripts/check-stagedir.sh
@@ -15,6 +15,8 @@
. ${SCRIPTSDIR}/functions.sh
+: ${BATCH_RUN:=no}
+
# lists an mtree file's contents, prefixed to dir.
listmtree() { # mtreefile prefix
{
@@ -251,7 +253,7 @@
# generate plist - pretend the plist had been empty
: >${WRKDIR}/.plist-dirs-unsorted
: >${WRKDIR}/.plist-files
- echo '/you/have/to/check/what/makeplist/gives/you'
+ [ ${BATCH_RUN} = yes ] || echo '/you/have/to/check/what/makeplist/gives/you'
fi
parse_mtree
Index: Mk/Uses/autoplist.mk
===================================================================
--- /dev/null
+++ Mk/Uses/autoplist.mk
@@ -0,0 +1,18 @@
+# $FreeBSD$
+#
+# Generate plist automatically
+#
+# Feature: autoplist
+# Usage: USES=autoplist
+#
+# MAINTAINER: portmgr@FreeBSD.org
+
+.if !defined(_INCLUDE_USES_AUTOPLIST_MK)
+_INCLUDE_USES_AUTOPLIST_MK= yes
+
+_USES_install+= 951:autoplist-generate
+autoplist-generate:
+ @${ECHO} "===> Auto-generating plist for ${PKGNAME}"
+ @${SETENV} BATCH_RUN=yes ${CO_ENV} PLIST_SUB_SED="" ${SH} ${SCRIPTSDIR}/check-stagedir.sh makeplist > ${TMPPLIST}
+
+.endif
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Tue, Apr 7, 7:30 AM (9 h, 18 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
31018725
Default Alt Text
D13181.id35579.diff (1 KB)
Attached To
Mode
D13181: New USES=autoplist: Generates plist automatically for large projects
Attached
Detach File
Event Timeline
Log In to Comment